Package org.jbpm.services.ejb.impl

## Class DefinitionServiceEJBImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.bpmn2.BPMN2DataServiceImpl
  - - org.jbpm.services.ejb.impl.DefinitionServiceEJBImpl

- All Implemented Interfaces:
    `DefinitionService`, `DeploymentEventListener`, `DefinitionServiceEJBLocal`, `DefinitionServiceEJBRemote`

      public class DefinitionServiceEJBImpl
      extends BPMN2DataServiceImpl
      implements DeploymentEventListener, DefinitionService, DefinitionServiceEJBLocal, DefinitionServiceEJBRemote

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefinitionServiceEJBImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProcessDefinition` | `buildProcessDefinition​(String deploymentId, String bpmn2Content, org.kie.api.runtime.KieContainer kieContainer, boolean cache)` | Performs build operation for given bpmn2content to produce fully populated `ProcessDefinition`
    `void` | `onActivate​(DeploymentEvent event)` |
    `void` | `onDeactivate​(DeploymentEvent event)` |
    `void` | `onDeploy​(DeploymentEvent event)` |
    `void` | `onUnDeploy​(DeploymentEvent event)` |

    - ### Methods inherited from class org.jbpm.kie.services.impl.bpmn2.BPMN2DataServiceImpl

      `addProcessDefinition, getAssociatedEntities, getJavaClasses, getProcessDefinition, getProcessVariables, getReusableSubProcesses, getRuleSets, getServiceTasks, getTaskInputMappings, getTaskOutputMappings, getTasksDefinitions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.services.api.DefinitionService

      `addProcessDefinition, getAssociatedEntities, getJavaClasses, getProcessDefinition, getProcessVariables, getReusableSubProcesses, getRuleSets, getServiceTasks, getTaskInputMappings, getTaskOutputMappings, getTasksDefinitions`

- - ### Constructor Detail

    - #### DefinitionServiceEJBImpl

          public DefinitionServiceEJBImpl()

  - ### Method Detail

    - #### buildProcessDefinition

          public ProcessDefinition buildProcessDefinition​(String deploymentId,
                                                          String bpmn2Content,
                                                          org.kie.api.runtime.KieContainer kieContainer,
                                                          boolean cache)
                                                   throws IllegalArgumentException

      Description copied from interface: `DefinitionService`
      Performs build operation for given bpmn2content to produce fully populated `ProcessDefinition`
      Specified by:
        `buildProcessDefinition` in interface `DefinitionService`
      Overrides:
        `buildProcessDefinition` in class `BPMN2DataServiceImpl`
      Parameters:
        `deploymentId` - identifier of deployment this process belongs to, might be null if built definition does not need to be stored
        `bpmn2Content` - actual BPMN xml content as string to be parsed and processed
        `kieContainer` - the `KieContainer` instance that contains the deployment project: this should be used when parsing the BPMN2 in case custom classes or other project resources (processes, rules) are referenced
        `cache` - indicates if the definition service should cache this `ProcessDefinition`
      Returns:
        fully populated `ProcessDefinition`
      Throws:
        `IllegalArgumentException` - in case build operation cannot be completed

    - #### onDeploy

          public void onDeploy​(DeploymentEvent event)

      Specified by:
        `onDeploy` in interface `DeploymentEventListener`
      Overrides:
        `onDeploy` in class `BPMN2DataServiceImpl`

    - #### onUnDeploy

          public void onUnDeploy​(DeploymentEvent event)

      Specified by:
        `onUnDeploy` in interface `DeploymentEventListener`
      Overrides:
        `onUnDeploy` in class `BPMN2DataServiceImpl`

    - #### onActivate

          public void onActivate​(DeploymentEvent event)

      Specified by:
        `onActivate` in interface `DeploymentEventListener`
      Overrides:
        `onActivate` in class `BPMN2DataServiceImpl`

    - #### onDeactivate

          public void onDeactivate​(DeploymentEvent event)

      Specified by:
        `onDeactivate` in interface `DeploymentEventListener`
      Overrides:
        `onDeactivate` in class `BPMN2DataServiceImpl`